#!/usr/bin/env php
<?php
declare(strict_types=1);

require_once __DIR__ . '/vendor/autoload.php';
require __DIR__ . '/src/Framework/Debug/helpers.php';

use App\Framework\Console\ConsoleApplication;
use App\Framework\Console\DemoCommand;
use App\Framework\Core\AppBootstrapper;
use App\Framework\Performance\PerformanceMeter;

$bootstrapper = new AppBootstrapper(__DIR__, new PerformanceMeter());

try {

    $exitCode = $bootstrapper->bootstrapConsole()->run($argv);
    exit($exitCode);

} catch (Throwable $e) {
    echo "\033[31mFehler: " . $e->getMessage() . "\033[0m" . PHP_EOL;
    exit(1);
}

/*
 * docker exec php php console.php
 */
